11
968
919
初露锋芒
使用道具 举报
145
590
446
中流砥柱
(defun c:survey_transform () ; First construct our entity list (setq vl1 (list (cons 0 "LAYER") ;Name of entity (cons 100 "AcDbSymbolTableRecord") ;Open Records (cons 100 "AcDbLayerTableRecord") ;Locate Layer Table (cons 2 "CCC_SURVEY_EXISTING_Feature") ;Name of Layer (cons 6 "Continuous") ;Linetype (cons 62 150) ;colour = light grey (cons 70 0) ;state (cons 290 1) ;1=plot, 0=Don't plot ) ;End of entity list ) (entmake vl1) (setq vl1 (list (cons 0 "LAYER") ;Name of entity (cons 100 "AcDbSymbolTableRecord") ;Open Records (cons 100 "AcDbLayerTableRecord") ;Locate Layer Table (cons 2 "CCC_SURVEY_EXISTING_Number") ;Name of Layer (cons 6 "Continuous") ;Linetype (cons 62 1) ;colour = light grey (cons 70 0) ;state (cons 290 1) ;1=plot, 0=Don't plot ) ;End of entity list ) (entmake vl1) (setq vl1 (list (cons 0 "LAYER") ;Name of entity (cons 100 "AcDbSymbolTableRecord") ;Open Records (cons 100 "AcDbLayerTableRecord") ;Locate Layer Table (cons 2 "CCC_SURVEY_EXISTING_Level") ;Name of Layer (cons 6 "Continuous") ;Linetype (cons 62 84) ;colour = light grey (cons 70 0) ;state (cons 290 1) ;1=plot, 0=Don't plot ) ;End of entity list ) (entmake vl1) (setq vl1 (list (cons 0 "LAYER") ;Name of entity (cons 100 "AcDbSymbolTableRecord") ;Open Records (cons 100 "AcDbLayerTableRecord") ;Locate Layer Table (cons 2 "CCC_SURVEY_Level") ;Name of Layer (cons 6 "Continuous") ;Linetype (cons 62 84) ;colour = light grey (cons 70 0) ;state (cons 290 1) ;1=plot, 0=Don't plot ) ;End of entity list ) (entmake vl1) (setq vl1 (list (cons 0 "LAYER") ;Name of entity (cons 100 "AcDbSymbolTableRecord") ;Open Records (cons 100 "AcDbLayerTableRecord") ;Locate Layer Table (cons 2 "CCC_SURVEY_Number") ;Name of Layer (cons 6 "Continuous") ;Linetype (cons 62 1) ;colour = light grey (cons 70 0) ;state (cons 290 1) ;1=plot, 0=Don't plot ) ;End of entity list ) (entmake vl1) ; First construct our entity list (setq vl1 (list (cons 0 "LAYER") ;Name of entity (cons 100 "AcDbSymbolTableRecord") ;Open Records (cons 100 "AcDbLayerTableRecord") ;Locate Layer Table (cons 2 "CCC_SURVEY_Feature") ;Name of Layer (cons 6 "Continuous") ;Linetype (cons 62 150) ;colour = light grey (cons 70 0) ;state (cons 290 1) ;1=plot, 0=Don't plot ) ;End of entity list ) (entmake vl1)(and (setq ss (ssget "X" '((8 . "*CODE")))) (command "_.CHPROP" ss "" "_LA" "CCC_SURVEY_EXISTING_Feature" ""))(and (setq ss (ssget "X" '((8 . "*ID")))) (command "_.CHPROP" ss "" "_LA" "CCC_SURVEY_EXISTING_Number" ""))(and (setq ss (ssget "X" '((8 . "*_Z")))) (command "_.CHPROP" ss "" "_LA" "CCC_SURVEY_EXISTING_Level" ""))(and (setq ss (ssget "X" '((8 . "*Points")))) (command "_.CHPROP" ss "" "_LA" "CCC_SURVEY_EXISTING_Level" ""))(and (setq text1(ssget "x" (list '(0 . "TEXT") (cons 62 70)))) (command "_.CHPROP" TEXT1 "" "_LA" "CCC_SURVEY_Level" ""))(and (setq text2(ssget "x" (list '(0 . "TEXT") (cons 62 12)))) (command "_.CHPROP" TEXT2 "" "_LA" "CCC_SURVEY_Number" "")) (and (setq text3(ssget "x" (list '(0 . "TEXT") (cons 62 152)))) (command "_.CHPROP" TEXT3 "" "_LA" "CCC_SURVEY_Feature" ""))(and (setq ss (ssget "X" (list (cons 0 "INSERT") (cons 62 70)))) (command "_.CHPROP" ss "" "_LA" "CCC_SURVEY_Level" ""))(and (setq ss (ssget "X" (list (cons 0 "INSERT") (cons 62 12)))) (command "_.CHPROP" ss "" "_LA" "CCC_SURVEY_Number" ""))(and (setq ss (ssget "X" (list (cons 0 "INSERT") (cons 62 152)))) (command "_.CHPROP" ss "" "_LA" "CCC_SURVEY_Feature" ""))(command "_.CHPROP" "all" "" "C" "BYLAYER" "")(command "_.-layer" "_C" "84" "CCC_SURVEY_Level" "_C" "150" "CCC_SURVEY_Feature" "" )